diff --git a/net-im/deltachat-desktop-bin/Manifest b/net-im/deltachat-desktop-bin/Manifest
new file mode 100644
index 0000000..2a8601f
--- /dev/null
+++ b/net-im/deltachat-desktop-bin/Manifest
@@ -0,0 +1,2 @@
+DIST deltachat-desktop-2.48.0-arm64.tar.gz 145067886 BLAKE2B 216229f5213e32870c00c9babdd6fb92d06e13e069aca17a5b86884c66c4bdd48ce3d6312339d629104c1b2af1f7782fcca15aaacafd4949b257381c5549d66e SHA512 f3c1f52c5b6afe0afcf63a8940424c1f3af3569c4d6889fe84ad4e00b3da69dabc93762d7ef7cec941d4036363a7baff560596d48fa6ad8a288be13c5f52ead9
+DIST deltachat-desktop-2.48.0.tar.gz 145311040 BLAKE2B 07c4f85bb61312d5c0905b910492fe8fc412ca570884e7b7f02a24dbdea70efcae25f856c517319fc08faddff61d72ffdb26516c97fc061e782727943eb65174 SHA512 cf2d46f7ef008810a9be24c3dcf4c53d1e55ab7d4e4ddf1d7514e02a335236a67f255bdbbba6be72e7692bcdd797e991078f4a2ea38be6c1329c69641c25accb
diff --git a/net-im/deltachat-desktop-bin/deltachat-desktop-bin-2.48.0-r1.ebuild b/net-im/deltachat-desktop-bin/deltachat-desktop-bin-2.48.0-r1.ebuild
new file mode 100644
index 0000000..9fef81b
--- /dev/null
+++ b/net-im/deltachat-desktop-bin/deltachat-desktop-bin-2.48.0-r1.ebuild
@@ -0,0 +1,113 @@
+# Copyright 2026 Shin'ya Minazuki
+EAPI=8
+
+inherit desktop xdg
+
+DESCRIPTION="Decentralized and secure messenger app (binary)"
+HOMEPAGE="https://delta.chat"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm64"
+
+DC_PN="${PN%-bin}"
+
+SRC_URI="
+ amd64? ( https://download.delta.chat/desktop/v${PV}/${DC_PN}-${PV}.tar.gz )
+ arm64? ( https://download.delta.chat/desktop/v${PV}/${DC_PN}-${PV}-arm64.tar.gz )
+"
+
+S="${WORKDIR}"
+
+DELTACHAT_HOME="opt/${DC_PN}"
+IUSE="suid"
+
+
+QA_PREBUILT="
+ opt/deltachat-desktop/deltachat-desktop
+ opt/deltachat-desktop/libEGL.so
+ opt/deltachat-desktop/libffmpeg.so
+ opt/deltachat-desktop/libGLESv2.so
+ opt/deltachat-desktop/libvk_swiftshader.so
+ opt/deltachat-desktop/libvulkan.so.1
+ opt/deltachat-desktop/resources/*
+"
+
+RDEPEND="
+ >=app-accesibility/at-spi2-core-2.46.0:2[X]
+ dev-libs/expat
+ dev-libs/fribidi
+ dev-libs/glib:2
+ dev-libs/libpcre2
+ dev-libs/libunistring
+ dev-libs/nettle
+ dev-libs/nspr
+ dev-libs/nss
+ dev-libs/wayland
+ media-gfx/graphite2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/harfbuzz
+ media-libs/libpng
+ net-dns/libidn2
+ net-libs/gnutls
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/glibc
+ virtual/jpeg
+ virtual/libudev
+ virtual/zlib
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3[X]
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libdrm
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/pango
+ x11-libs/pixman
+"
+
+src_install() {
+ if use amd64; then
+ cd deltachat-desktop-${PV} || die
+ elif use arm64; then
+ cd deltachat-desktop-${PV}-arm64 || die
+ fi
+
+ newicon "${FILESDIR}/delta-chat.svg" "${DC_PN}.svg"
+
+ insinto "/opt/${DC_PN}/locales"
+ doins locales/*.pak
+
+ insinto "/opt/${DC_PN}/resources"
+ doins -r resources/*.asar*
+
+ insinto "/opt/${DC_PN}"
+ doins *.pak *.bin *.dat
+ exeinto "/opt/${DC_PN}"
+ doexe *.so *.so.* "${DC_PN}"
+
+ dosym -r "/opt/${DC_PN}/${DC_PN}" "/usr/bin/${DC_PN}"
+
+ rm -rf "${DELTACHAT_HOME}/resources/app.asar.unpacked/node_modules/@parcel/watcher-win32*"
+ rm -rf "${DELTACHAT_HOME}/resources/app.asar.unpacked/node_modules/@parcel/watcher-darwin*"
+ if use amd64; then
+ rm -rf "${DELTACHAT_HOME}/resources/app.asar.unpacked/node_modules/@parcel/watcher-linux-arm64*"
+ rm -rf "${DELTACHAT_HOME}/resources/app.asar.unpacked/node_modules/@parcel/watcher-linux-x64-musl*"
+ elif use arm64; then
+ rm -rf "${DELTACHAT_HOME}/resources/app.asar.unpacked/node_modules/@parcel/watcher-linux-x64*"
+ fi
+
+ make_desktop_entry "${DC_PN} --enable-features=WaylandWindowDecorations --ozone-platform-hint=auto %U" \
+ "Delta Chat" "${DC_PN}" "Network;InstantMessaging;" \
+ "StartupWMClass=DeltaChat"
+}
diff --git a/net-im/deltachat-desktop-bin/deltachat-desktop-bin-2.48.0.ebuild b/net-im/deltachat-desktop-bin/deltachat-desktop-bin-2.48.0.ebuild
new file mode 100644
index 0000000..b61212e
--- /dev/null
+++ b/net-im/deltachat-desktop-bin/deltachat-desktop-bin-2.48.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2026 Shin'ya Minazuki
+# This file will get removed in a subsequent commit, do not use
+EAPI=8
+
+inherit xdg
+
+DESCRIPTION="Decentralized and secure messenger app (binary)"
+HOMEPAGE="https://delta.chat"
+
+SRC_URI="https://download.delta.chat/desktop/v${PV}/${PN%-bin}-${PV}.tar.gz"
+S="${WORKDIR}/${PN%-bin}-${PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+DELTACHAT_HOME="opt/${PN%-bin}"
+IUSE="suid"
+
+src_install() {
+ cd "${ED}"
+ einfo "Creating directories"
+ dodir "/opt"
+ dodir "/usr/bin"
+ dodir "/usr/share/applications"
+ einfo "Copying directories"
+ cp -r ${WORKDIR}/deltachat-desktop-${PV} ${DELTACHAT_HOME}
+ einfo "Creating symbolic links"
+ dosym "../../${DELTACHAT_HOME}/${PN%-bin}" "usr/bin/${PN%-bin}"
+ use suid && fperms 4711 "/${DELTACHAT_HOME}/chrome-sandbox"
+ einfo "Creating .desktop files"
+ cp "${FILESDIR}/deltachat.desktop" "usr/share/applications"
+ cp "${FILESDIR}/delta-chat.svg" "${ED}/${DELTACHAT_HOME}"
+}
diff --git a/net-im/deltachat-desktop-bin/files/delta-chat.svg b/net-im/deltachat-desktop-bin/files/delta-chat.svg
new file mode 100644
index 0000000..dce7b44
--- /dev/null
+++ b/net-im/deltachat-desktop-bin/files/delta-chat.svg
@@ -0,0 +1 @@
+
\ No newline at end of file
diff --git a/net-im/deltachat-desktop-bin/files/deltachat.desktop b/net-im/deltachat-desktop-bin/files/deltachat.desktop
new file mode 100644
index 0000000..2ad5d11
--- /dev/null
+++ b/net-im/deltachat-desktop-bin/files/deltachat.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Delta Chat
+Comment=Decentralized private messenger with chat-shared tools and games
+Exec=/usr/bin/deltachat-desktop
+Icon=/opt/deltachat-desktop/delta-chat.svg
+Categories=Network
+Type=Application
diff --git a/net-im/deltachat-desktop-bin/metadata.xml b/net-im/deltachat-desktop-bin/metadata.xml
new file mode 100644
index 0000000..2a11a82
--- /dev/null
+++ b/net-im/deltachat-desktop-bin/metadata.xml
@@ -0,0 +1,13 @@
+
+
+
+
+ shinyoukai@laidback.moe
+ Shin'ya Minazuki
+
+
+ deltachat/deltachat-desktop
+ Delta Chat developers
+ https://github.com/deltachat/deltachat-desktop/issues
+
+